io.vertx.reactivex.amqp

## Class AmqpConnection

- java.lang.Object
- - io.vertx.reactivex.amqp.AmqpConnection

-     public class AmqpConnection
      extends Object

  Once connected to the broker or router, you get a connection. This connection is automatically opened.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpConnection>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpConnection(AmqpConnection delegate)`
    `AmqpConnection(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpConnection` | `close(Handler<AsyncResult<Void>> done)` Closes the AMQP connection, i.e.
    `AmqpConnection` | `createAnonymousSender(Handler<AsyncResult<AmqpSender>> completionHandler)` Creates an anonymous sender.
    `AmqpConnection` | `createDynamicReceiver(Handler<AsyncResult<AmqpReceiver>> completionHandler)` Creates a dynamic receiver.
    `AmqpConnection` | `createReceiver(String address, AmqpReceiverOptions receiverOptions, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Creates a receiver used to consumer messages from the given address.
    `AmqpConnection` | `createReceiver(String address, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Creates a receiver used to consume messages from the given address.
    `AmqpConnection` | `createSender(String address, AmqpSenderOptions options, Handler<AsyncResult<AmqpSender>> completionHandler)` Creates a sender used to send messages to the given address.
    `AmqpConnection` | `createSender(String address, Handler<AsyncResult<AmqpSender>> completionHandler)` Creates a sender used to send messages to the given address.
    `boolean` | `equals(Object o)`
    `AmqpConnection` | `exceptionHandler(Handler<Throwable> handler)` Registers a handler called on disconnection.
    `AmqpConnection` | `getDelegate()`
    `int` | `hashCode()`
    `static AmqpConnection` | `newInstance(AmqpConnection arg)`
    `Completable` | `rxClose()` Closes the AMQP connection, i.e.
    `Single<AmqpSender>` | `rxCreateAnonymousSender()` Creates an anonymous sender.
    `Single<AmqpReceiver>` | `rxCreateDynamicReceiver()` Creates a dynamic receiver.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address)` Creates a receiver used to consume messages from the given address.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address, AmqpReceiverOptions receiverOptions)` Creates a receiver used to consumer messages from the given address.
    `Single<AmqpSender>` | `rxCreateSender(String address)` Creates a sender used to send messages to the given address.
    `Single<AmqpSender>` | `rxCreateSender(String address, AmqpSenderOptions options)` Creates a sender used to send messages to the given address.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpConnection

          public AmqpConnection(AmqpConnection delegate)

    - #### AmqpConnection

          public AmqpConnection(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpConnection getDelegate()

    - #### exceptionHandler

          public AmqpConnection exceptionHandler(Handler<Throwable> handler)

      Registers a handler called on disconnection.
      Parameters:
        `handler` - the exception handler.
      Returns:

    - #### close

          public AmqpConnection close(Handler<AsyncResult<Void>> done)

      Closes the AMQP connection, i.e. allows the Close frame to be emitted.
      Parameters:
        `done` - the close handler notified when the connection is closed. May be `null`.
      Returns:
        the connection

    - #### rxClose

          public Completable rxClose()

      Closes the AMQP connection, i.e. allows the Close frame to be emitted.
      Returns:
        the connection

    - #### createReceiver

          public AmqpConnection createReceiver(String address,
                                               Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Creates a receiver used to consume messages from the given address. The receiver has no handler and won't start receiving messages until a handler is explicitly configured.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
        `completionHandler` - the handler called with the receiver. The receiver has been opened.
      Returns:
        the connection.

    - #### rxCreateReceiver

          public Single<AmqpReceiver> rxCreateReceiver(String address)

      Creates a receiver used to consume messages from the given address. The receiver has no handler and won't start receiving messages until a handler is explicitly configured.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
      Returns:
        the connection.

    - #### createReceiver

          public AmqpConnection createReceiver(String address,
                                               AmqpReceiverOptions receiverOptions,
                                               Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Creates a receiver used to consumer messages from the given address.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
        `completionHandler` - The handler called with the receiver, once opened. Note that the `messageHandler` can be called before the `completionHandler` if messages are awaiting delivery.
      Returns:
        the connection.

    - #### rxCreateReceiver

          public Single<AmqpReceiver> rxCreateReceiver(String address,
                                                       AmqpReceiverOptions receiverOptions)

      Creates a receiver used to consumer messages from the given address.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
      Returns:
        the connection.

    - #### createDynamicReceiver

          public AmqpConnection createDynamicReceiver(Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Creates a dynamic receiver. The address is provided by the broker and is available in the `completionHandler`, using the `AmqpReceiver.address()` method. this method is useful for request-reply to generate a unique reply address.
      Parameters:
        `completionHandler` - the completion handler, called when the receiver has been created and opened.
      Returns:
        the connection.

    - #### rxCreateDynamicReceiver

          public Single<AmqpReceiver> rxCreateDynamicReceiver()

      Creates a dynamic receiver. The address is provided by the broker and is available in the `completionHandler`, using the `AmqpReceiver.address()` method. this method is useful for request-reply to generate a unique reply address.
      Returns:
        the connection.

    - #### createSender

          public AmqpConnection createSender(String address,
                                             Handler<AsyncResult<AmqpSender>> completionHandler)

      Creates a sender used to send messages to the given address. The address must be set. For anonymous sender, check `createAnonymousSender(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.amqp.AmqpSender>>)`.
      Parameters:
        `address` - The target address to attach to, must not be `null`
        `completionHandler` - The handler called with the sender, once opened
      Returns:
        the connection.

    - #### rxCreateSender

          public Single<AmqpSender> rxCreateSender(String address)

      Creates a sender used to send messages to the given address. The address must be set. For anonymous sender, check `createAnonymousSender(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.amqp.AmqpSender>>)`.
      Parameters:
        `address` - The target address to attach to, must not be `null`
      Returns:
        the connection.

    - #### createSender

          public AmqpConnection createSender(String address,
                                             AmqpSenderOptions options,
                                             Handler<AsyncResult<AmqpSender>> completionHandler)

      Creates a sender used to send messages to the given address. The address must be set. For anonymous sender, check `createAnonymousSender(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.amqp.AmqpSender>>)`.
      Parameters:
        `address` - The target address to attach to, allowed to be `null` if the `options` configures the sender to be attached to a dynamic address (provided by the broker).
        `options` - The AMQP sender options
        `completionHandler` - The handler called with the sender, once opened
      Returns:
        the connection.

    - #### rxCreateSender

          public Single<AmqpSender> rxCreateSender(String address,
                                                   AmqpSenderOptions options)

      Creates a sender used to send messages to the given address. The address must be set. For anonymous sender, check `createAnonymousSender(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.amqp.AmqpSender>>)`.
      Parameters:
        `address` - The target address to attach to, allowed to be `null` if the `options` configures the sender to be attached to a dynamic address (provided by the broker).
        `options` - The AMQP sender options
      Returns:
        the connection.

    - #### createAnonymousSender

          public AmqpConnection createAnonymousSender(Handler<AsyncResult<AmqpSender>> completionHandler)

      Creates an anonymous sender.

      Unlike "regular" sender, this sender is not associated to a specific address, and each message sent must provide an address. This method can be used in request-reply scenarios where you create a sender to send the reply, but you don't know the address, as the reply address is passed into the message you are going to receive.

      Parameters:
        `completionHandler` - The handler called with the created sender, once opened
      Returns:
        the connection.

    - #### rxCreateAnonymousSender

          public Single<AmqpSender> rxCreateAnonymousSender()

      Creates an anonymous sender.

      Unlike "regular" sender, this sender is not associated to a specific address, and each message sent must provide an address. This method can be used in request-reply scenarios where you create a sender to send the reply, but you don't know the address, as the reply address is passed into the message you are going to receive.

      Returns:
        the connection.

    - #### newInstance

          public static AmqpConnection newInstance(AmqpConnection arg)

Copyright © 2020 Eclipse. All rights reserved.